%define _enable_debug_packages	%{nil}
%define debug_package		%{nil}

Name:		ocaml-uchar
Version:	0.0.1
Release:	%mkrel 2
Summary:	Compatibility library for OCaml's Uchar module
License:	LGPLv2+ with OCaml linking exception
Group:		Development/OCaml
URL:		https://ocaml.github.io/uchar/
Source0:	https://github.com/ocaml/uchar/releases/download/v%{version}/uchar-%{version}.tbz
BuildRequires:	ocaml-compiler
BuildRequires:	ocaml-compiler-libs
BuildRequires:	ocaml-findlib-devel
BuildRequires:	opam

%description
Compatibility library for OCaml's Uchar module.

%package	devel
Summary:	Development files for %{name}
Group:		Development/OCaml
Requires:	%{name} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n uchar-%{version}

%build
ocaml pkg/build.ml "native=true" "native-dynlink=true"

%install
opam-installer \
	--prefix=%{buildroot}%{_prefix} \
	--libdir=%{buildroot}%{_libdir}/ocaml \
	--docdir=%{buildroot}%{_docdir} \
	uchar.install

%files
%doc %{_docdir}/uchar/
%dir %{_libdir}/ocaml/uchar
%{_libdir}/ocaml/uchar/META
%{_libdir}/ocaml/uchar/*.cma
%{_libdir}/ocaml/uchar/*.cmi
%{_libdir}/ocaml/uchar/*.cmxs

%files devel
%{_libdir}/ocaml/uchar/*.a
%{_libdir}/ocaml/uchar/*.cmxa
%{_libdir}/ocaml/uchar/*.cmx
%{_libdir}/ocaml/uchar/*.mli
%{_libdir}/ocaml/uchar/*.cmti


%changelog
* Mon Sep 26 2016 pterjan <pterjan> 0.0.1-2.mga6
+ Revision: 1056449
- Rebuild for fix in ocaml

* Mon Sep 19 2016 daviddavid <daviddavid> 0.0.1-1.mga6
+ Revision: 1054081
- initial package ocaml-uchar

